Esc
No results. Try a different term.
↑ ↓ to navigate · ↵ to open
Documentation menu
Reference
Resources
Account
Realtime
More
API reference
End-users
End-users are the identities behind softphones; each gets its own extension. Mint a phone token for one to let it place or receive calls.
GET/users/
Returns array<EndUser>.
POST/users/create
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
| string | Required | — | Unique per account. | |
| display_name | string | Optional | "" | Shown on the softphone. |
Returns an EndUser. Errors 409 duplicate email.
curl https://sauti-pbx.services.co.ke/api/users/create \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{ "email": "agent1@yourapp.com", "display_name": "Agent One" }'
// → 201 Created
{ "uuid": "...", "extension_number": "2001", … }const res = await fetch('https://sauti-pbx.services.co.ke/api/users/create', {
method: 'POST',
headers: { 'Authorization': 'Bearer sk_live_...', 'Content-Type': 'application/json' },
body: JSON.stringify({ email: 'agent1@yourapp.com', display_name: 'Agent One' }),
});
const user = await res.json();import requests
res = requests.post(
'https://sauti-pbx.services.co.ke/api/users/create',
headers={'Authorization': 'Bearer sk_live_...'},
json={'email': 'agent1@yourapp.com', 'display_name': 'Agent One'},
)
user = res.json()POST/users/update
| Field | Type | Required | Description |
|---|---|---|---|
| uuid | string | Required | The end-user. |
| display_name | string, nullable | Optional | New name. |
| is_active | boolean, nullable | Optional | Enable or disable. |
Returns an EndUser.
POST/users/delete
Body { uuid: string }. Returns { message: string }.
The EndUser object
| Field | Type | Description |
|---|---|---|
| uuid | string | Stable identifier. |
| string | Login identity. | |
| display_name | string | Display name. |
| extension_number | string | Assigned extension. |
| registration_state | string | Whether the softphone is currently registered. |
| is_active | boolean | Whether the identity is enabled. |
| last_registered_at / created_at | string, nullable | ISO-8601 timestamps. |